/*

               **************************************************
               ****            VEGA - Include IFF            ****
               **** Copyright 1996-2000, Alessandro Pedretti ****
               **************************************************


*/

#ifndef __IFF
#define  __IFF

/**** Chunk description ****/

#define  IFF_IIUB   0x49495542
#define  IFF_ATOMO  0x41544f4d
#define  IFF_ATYP   0x41545950
#define  IFF_CALC   0x43414c43
#define  IFF_CHRG   0x43485247
#define  IFF_COMM   0x434f4d4d
#define  IFF_CONX   0x434f4e58
#define  IFF_FORM   0x464f524d
#define  IFF_MOLE   0x4d4f4c45
#define  IFF_MOLN   0x4d4f4c4e
#define  IFF_RSNA   0x52534e41
#define  IFF_RSNU   0x52534e55
#define  IFF_XYZ1   0x58595a31
#define  IFF_XYZ2   0x58595a32

/**** Chunk lenght ****/

#define  IFF_IIUB_SIZE    (1 + Tot * SizeIIUB)
#define  IFF_ATOMO_SIZE   (Tot * 2 + sizeof(ULONG))
#define  IFF_ATYP_SIZE    (1 + SizeFF * Tot)
#define  IFF_CALC_SIZE    (2 * sizeof(IFFHDR) + strlen(FFName) + 1 + IFF_CHRG_SIZE + IFF_ATYP_SIZE)
#define  IFF_CHRG_SIZE    (sizeof(float) * Tot)
#define  IFF_COMM_SIZE    (strlen(VEGAHdr))
#define  IFF_CONX_SIZE    (sizeof(ULONG) + (sizeof(ULONG) * 2 + 1) * nb)
#define  IFF_FORM_SIZE    sizeof(IFFHDR)
#define  IFF_MOLN_SIZE    (2 + (8 + 13) * NMol)
#define  IFF_RSNA_SIZE    (sizeof(UWORD) + (sizeof(UWORD) + 3) * NumRes)
#define  IFF_RSNU_SIZE    (sizeof(UWORD) * Tot)
#define  IFF_XYZ1_SIZE    (Tot * 3 * sizeof(float))
#define  IFF_XYZ2_SIZE    (Tot * 3 * sizeof(double))

#define  IFF_HDRLEN       sizeof(IFFHDR)


/**** Chunk header structure ****/

typedef struct __IFFHdr {
  ULONG   ID;
  ULONG   Size;
} IFFHDR;

#endif

